## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global modname  atlassian
%global projname %{modname}-python-api
%global srcname %{modname}_python_api

%bcond_without tests

Name:           python-%{projname}
Version:        4.0.4
Release:        %autorelease
Summary:        Python Atlassian REST API Wrapper

License:        Apache-2.0
URL:            https://github.com/atlassian-api/%{projname}
Source0:        %{pypi_source %{srcname}}

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
The atlassian-python-api library provides a simple and convenient way to
interact with Atlassian products (such as Jira Service management, Jira
Software, Confluence, Bitbucket and apps Insight, X-Ray) using Python. It is
based on the official REST APIs of these products, as well as additional private
methods and protocols (such as xml+rpc and raw HTTP requests). This library can
be used to automate tasks, integrate with other tools and systems, and build
custom applications that interact with Atlassian products. It supports a wide
range of Atlassian products, including Jira, Confluence, Bitbucket, StatusPage
and others, and is compatible with both Atlassian Server and Cloud instances.

Overall, the atlassian-python-api is a useful tool for Python developers who
want to work with Atlassian products. It is well-documented and actively
maintained, and provides a convenient way to access the full range of
functionality offered by the Atlassian REST APIs.}

%description %_description

%package     -n python3-%{projname}
Summary:        %{summary}

%description -n python3-%{projname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%if %{with tests}
%tox
%else
%pyproject_check_import
%endif

%files -n python3-%{projname} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Mon May 12 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 4.0.4-1
- Update to version 4.0.4 (fedora#2356201)

* Mon Mar 31 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 4.0.2-1
- Update to version 4.0.2 (fedora#2356172)

* Mon Mar 31 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 4.0.1-1
- Update to version 4.0.1 (fedora#2356128)

* Tue Mar 25 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 4.0.0-1
- Update to version 4.0.0 (fedora#2354909)

* Mon Mar 17 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.21-1
- Update to version 3.41.21 (fedora#2352867)

* Fri Jan 24 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.19-1
- Update to version 3.41.19 (fedora#2341849)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.41.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 10 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.18-1
- Update to version 3.41.18 (fedora#2336902)

* Mon Sep 16 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.16-1
- Update to version 3.41.16 (fedora#2312530)

* Mon Sep 02 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.15-1
- Update to version 3.41.15 (fedora#2309004)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.41.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 22 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.14-1
- Update to version 3.41.14 (fedora#2282082)

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 3.41.11-2
- Rebuilt for Python 3.13

* Tue Feb 27 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.11-1
- Update to version 3.41.11 (fedora#2266251)

* Mon Feb 12 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.10-1
- Update to version 3.41.10 (fedora#2263491)

* Wed Jan 24 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.9-1
- Update to version 3.41.9 (fedora#2258898)

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.41.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 17 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.7-1
- Update to version 3.41.7 (fedora#2258572)

* Tue Jan 16 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.5-1
- Update to version 3.41.5 (fedora#2258552)

* Wed Nov 29 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.4-1
- Update to version 3.41.4 (fedora#2251996)

* Sat Oct 21 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.3-1
- Update to version 3.41.3 (fedora#2245183)

* Fri Sep 08 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.2-1
- Update to version 3.41.2 (fedora#2237948)

* Sun Sep 03 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.1-1
- Update to version 3.41.1 (fedora#2235199)

* Sat Aug 19 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.41.0-1
- Initial import (fedora#2225906)
## END: Generated by rpmautospec
